=== debian/changelog ===
ros-lunar-mbf-costmap-nav (0.2.4-1xenial) xenial; urgency=high

  * Add check_point_cost service
  * Lock costmaps on clear_costmaps service
  * Replace recursive mutexes with normal ones when not needed

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.3-1xenial) xenial; urgency=high

  * single publisher for controller execution objects

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.2-1xenial) xenial; urgency=high

  * Do not use MultiThreadedSpinner, as costmap updates can crash when combining laser scans and point clouds
  * Make start/stop costmaps mutexed, since concurrent calls to start can lead to segfaults

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.1-1xenial) xenial; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.2.0-1xenial) xenial; urgency=high

  * Update copyright and 3-clause-BSD license
  * Concurrency for planners, controllers and recovery behaviors

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-lunar-mbf-costmap-nav (0.1.0-1xenial) xenial; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000
